SMP_CONF_GENERAL(8)

NAME
smp_conf_general - invoke CONFIGURE GENERAL SMP function

SYNOPSIS
smp_conf_general [--connect=CO] [--expected=EX] [--help] [--hex] [--inactivity=IN] [--interface=PARAMS] [--nexus=NE] [--open=OP] [--power=PD] [--raw] [--reduced=RE] [--sa=SAS_ADDR] [--ssp=CTL] [--verbose] [--version] SMP_DEVICE[,N]

DESCRIPTION

Sends a SAS Serial Management Protocol (SMP) CONFIGURE GENERAL function request to an SMP target. The SMP target is identified by the SMP_DEVICE and the --sa=SAS_ADDR. Depending on the interface, the SAS_ADDR may be deduced from the SMP_DEVICE. The mpt interface uses SMP_DEVICE to identify a HBA (an SMP initiator) and needs the additional ,N to differentiate between HBAs if there are multiple present.

OPTIONS
Mandatory arguments to long options are mandatory for short options as well.

-c, --connect=CO
    sets the "update STP maximum connect time limit" flag and the corresponding "STP maximum connect time limit" field to CO. Unit of CO is 100 microseconds. A CO of zero is taken to mean no maximum connection time limit.

-E, --expected=EX
    set the 'expected expander change count' field in the SMP request. The value EX is from 0 to 65535 inclusive with 0 being the default value. When EX is greater than zero then if the value doesn't match the expander change count of the SMP target (i.e. the expander) when the request arrives then the target ignores the request and sets a function result of "invalid expander change count" in the response.

-h, --help
    output the usage message then exit.

-H, --hex
    output the response (less the CRC field) in hexadecimal.

-i, --inactivity=IN
    sets the "update STP bus inactivity time limit" flag and the corresponding "STP bus inactivity time limit" field to IN. Unit of IN is 100 microseconds. A IN of zero is taken to mean no bus inactivity time limit.

-I, --interface=PARAMS
    interface specific parameters. In this case "interface" refers to the path through the operating system to the SMP initiator. See the smp_utils man page for more information.

-n, --nexus=NE
    sets the "update STP SMP I_T nexus loss time" flag and the corresponding "STP SMP I_T nexus loss time" field to NE. Unit of NE is one millisecond. A NE of zero is taken to mean a vendor specific amount of time; a NE of 65535 means the port shall never recognize an I_T nexus loss.

-o, --open=OP
    sets the "update STP reject to open limit" flag and the corresponding "STP reject to open limit" field to OP. Unit of OP is 10 microseconds.

-p, --power=PD
    sets the "update power done timeout" flag and the corresponding "power doen timeout" field to PD. Unit of PD is 1 second. A PD value of 0 is interpreted as don't change the current value. The maximum value of PD is 255 and means the time limit is vendor specific.

-r, --raw
    send the response (less the CRC field) to stdout in binary. All error messages are sent to stderr.

-R, --reduced=RE
    sets the "update Initial time to reduced functionality" flag and the corresponding "Initial time to reduced functionality" field to RE. Unit of RE is 100 milliseconds. The maximum permitted RE value is 255 which corresponds to 25.5 seconds.

-s, --sa=SAS_ADDR
    specifies the SAS address of the SMP target device. Typically this is an expander. This option may not be needed if the SMP_DEVICE has the target's SAS address within it. The SAS_ADDR is in decimal but most SAS addresses are shown in hexadecimal. To give a number in hexadecimal either prefix it with '0x' or put a trailing 'h' on it.

-S, --ssp=CTL
    sets the "update SSP time limit" flag and the corresponding "SSP maximum connect time limit" field to CTL. Unit of CTL is 100 microseconds. A CTL of zero is taken to meanthat there is no SSP connect time limit.

-v, --verbose
    increase the verbosity of the output. Can be used multiple times

-V, --version
    print the version string and then exit.

CONFORMING TO
The SMP CONFIGURE GENERAL function was introduced in SAS-2 .

AUTHORS
Written by Douglas Gilbert.

REPORTING BUGS
Report bugs to <dgilbert at interlog dot com>.

COPYRIGHT
Copyright © 2006-2015 Douglas Gilbert
This software is distributed under a FreeBSD license. There is NO warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.

SEE ALSO
smp_utils, smp_rep_general(smp_utils)